## org.eclipse.jst.jsf.context.structureddocument
Class AbstractStructuredDocumentContextFactory

    java.lang.Object
      org.eclipse.jst.jsf.context.AbstractDelegatingFactory
          org.eclipse.jst.jsf.context.structureddocument.AbstractStructuredDocumentContextFactory

All Implemented Interfaces:
  IDelegatingFactory

    public abstract class AbstractStructuredDocumentContextFactory

extends AbstractDelegatingFactory

Abstract implementation of IStructuredDocumentContextFactory that must be used by all implementers of new factories for document contexts.

Method Summary

Methods inherited from class org.eclipse.jst.jsf.context.AbstractDelegatingFactory
`addFactoryDelegate, getValidDelegateTypes, isValidDelegate, removeFactoryDelegate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`